AOZ Studio Beta - Bug #319

Runtime error messages reverse the line number and column number

03/22/2020 06:34 PM - Brian Flanagan

Status: Closed Start date: 03/22/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.8.1

Affected version: 0.9.7

Description

For example: The following code should return a error at line 12

Instead it returns an error at column 12:

#manifest: "amiga"

x=40

y=40

Screen open 0,320,200,32, lowres
Palette 0,$f00,$0£0,$00f

Cls O

Ink 2 : Draw 0,0 to 100,50

get bob 1,0,0 to 100,50

Curs Off

Bob b, x,vy
Bob b, x,vy,z

Repeat Until False

To verify that it's line #12, comment the line containing:

Bob b, x,vy,z

History

#1 - 04/16/2020 05:07 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.8.1

Fixed!

#2 - 04/19/2020 08:56 PM - Brian Flanagan

- Status changed from Resolved to Closed

Working in 0.9.8.1!
